Bug 103359 - RPM update overwrites %{_libdir}/sasl/smtpd.conf
Summary: RPM update overwrites %{_libdir}/sasl/smtpd.conf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: postfix (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-29 10:36 UTC by Peter Bieringer
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-09 14:27:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Bieringer 2003-08-29 10:36:11 UTC
Description of problem:
A bug in spec file makes admins unhappy after updating postfix in cases they
changed the default sasl SMTP configuration and don't realize fast enough that
config was overwritten by update.

Version-Release number of selected component (if applicable):
postfix-1.1.12-1

How reproducible:
Always

Steps to Reproduce:
1. Change settings in %{_libdir}/sasl/smtpd.conf
2. Update postfix
3. Check content of %{_libdir}/sasl/smtpd.conf

Actual Results:  Reset to default by overwriting file

Expected Results:  File will be kept

Additional info:

Fix:

$ diff -u postfix-1.1.12-1.spec.orig postfix-1.1.12-1.spec
--- postfix-1.1.12-1.spec.orig  2003-08-29 12:28:00.000000000 +0200
+++ postfix-1.1.12-1.spec       2003-08-29 12:28:37.000000000 +0200
@@ -468,7 +468,7 @@
 %doc samples
 %doc README_FILES

-%{_libdir}/sasl/smtpd.conf
+%config(noreplace) %{_libdir}/sasl/smtpd.conf

 %dir %attr(0755, root, root) %verify(not md5 size mtime) %{_libexecdir}/postfix
 %{_libexecdir}/postfix/bounce

Comment 1 John Dennis 2003-09-09 14:27:51 UTC
Thank you for reporting this. It has already been fixed in the current rpm which
is 2.0.11-5.


Note You need to log in before you can comment on or make changes to this bug.